Skip to content
SENS Platform Docs

Read one membership grant.

GET
/v1/memberships/{membershipId}
curl --request GET \
--url https://api.dev.iot-sens.schlossers.at/v1/memberships/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
membershipId
required
string format: uuid

Membership details.

Media typeapplication/json
object
membershipId
required
string format: uuid
tenantId
required
string format: uuid
userId
required
string format: uuid
organizationUnitId
required
One of:
string format: uuid
role
required
string
Allowed values: tenant_admin org_admin viewer
includeDescendants
required
boolean
status
required
string
Allowed values: active disabled
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{
"role": "tenant_admin",
"status": "active"
}

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store